Bug 252870 - Making cad/opencascade depend on onetbb
Summary: Making cad/opencascade depend on onetbb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thierry Thomas
URL:
Keywords:
Depends on: 252785
Blocks: 252648
  Show dependency treegraph
 
Reported: 2021-01-20 21:15 UTC by Ganael LAPLANCHE
Modified: 2021-02-19 21:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (thierry)
martymac: maintainer-feedback? (thierry)


Attachments
Patch to remove the dependency on devel/tbb (1.17 KB, patch)
2021-01-28 11:14 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ganael LAPLANCHE freebsd_committer 2021-01-20 21:15:14 UTC
Hello,

As a maintainer of cad/opencascade, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb but the port you maintain does not build correctly with it, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-19_19h34m48s

and error logs:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-19_19h34m48s/logs/errors/opencascade-7.5.0.log

/wrkdirs/usr/ports/cad/opencascade/work/opencascade-7.5.0/src/OSD/OSD_Parallel_TBB.cxx:28:10: fatal error: 'tbb/task_scheduler_init.h' file not found
#include <tbb/task_scheduler_init.h>
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~
1 error generated.
ninja: build stopped: subcommand failed.
*** Error code 1

Could you try to provide a patch (important: *by replying to this PR*) to facilitate the migration to devel/onetbb ?

To help you modifying your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

You will also need:
- suitesparse patches from PR #252651
- opencv patches from PR #252785

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Thierry Thomas freebsd_committer 2021-01-27 19:29:11 UTC
Just FYI: after the closure of PR 252892 I have updated my machine and I have been able to install onetbb: back on trial for this PR!
Comment 2 Thierry Thomas freebsd_committer 2021-01-28 11:14:34 UTC
Created attachment 221985 [details]
Patch to remove the dependency on devel/tbb

Temporary patch to remove the dependency on devel/tbb.
devel/onetbb should be activated when possible.
Comment 3 Ganael LAPLANCHE freebsd_committer 2021-01-28 15:07:31 UTC
Hello Thierry,

Thanks for the patch :)

Do you want me to wait for the big switch or can I commit it earlier ?
Comment 4 Thierry Thomas freebsd_committer 2021-01-28 16:13:32 UTC
(In reply to Ganael LAPLANCHE from comment #3)

Yes, let it wait for the big switch. Meanwhile, a better solution might be found…
Comment 5 Ganael LAPLANCHE freebsd_committer 2021-01-28 18:54:10 UTC
OK, no pb :)

Cheers,

Ganael.
Comment 6 Ganael LAPLANCHE freebsd_committer 2021-02-19 21:18:42 UTC
Patch committed, thanks!